Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as cloudflare from "@pulumi/cloudflare";
const exampleApiShieldOperations = cloudflare.getApiShieldOperations({
zoneId: "023e105f4ecef8ad9ca31a8372d0c353",
direction: "desc",
endpoint: "/api/v1",
features: ["thresholds"],
hosts: ["api.cloudflare.com"],
methods: ["GET"],
order: "method",
});
import pulumi
import pulumi_cloudflare as cloudflare
example_api_shield_operations = cloudflare.get_api_shield_operations(zone_id="023e105f4ecef8ad9ca31a8372d0c353",
direction="desc",
endpoint="/api/v1",
features=["thresholds"],
hosts=["api.cloudflare.com"],
methods=["GET"],
order="method")
package main
import (
"github.com/pulumi/pulumi-cloudflare/sdk/v6/go/cloudflare"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := cloudflare.LookupApiShieldOperations(ctx, &cloudflare.LookupApiShieldOperationsArgs{
ZoneId: "023e105f4ecef8ad9ca31a8372d0c353",
Direction: pulumi.StringRef("desc"),
Endpoint: pulumi.StringRef("/api/v1"),
Features: []string{
"thresholds",
},
Hosts: []string{
"api.cloudflare.com",
},
Methods: []string{
"GET",
},
Order: pulumi.StringRef("method"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Cloudflare = Pulumi.Cloudflare;
return await Deployment.RunAsync(() =>
{
var exampleApiShieldOperations = Cloudflare.GetApiShieldOperations.Invoke(new()
{
ZoneId = "023e105f4ecef8ad9ca31a8372d0c353",
Direction = "desc",
Endpoint = "/api/v1",
Features = new[]
{
"thresholds",
},
Hosts = new[]
{
"api.cloudflare.com",
},
Methods = new[]
{
"GET",
},
Order = "method",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.cloudflare.CloudflareFunctions;
import com.pulumi.cloudflare.inputs.GetApiShieldOperationsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleApiShieldOperations = CloudflareFunctions.getApiShieldOperations(GetApiShieldOperationsArgs.builder()
.zoneId("023e105f4ecef8ad9ca31a8372d0c353")
.direction("desc")
.endpoint("/api/v1")
.features("thresholds")
.hosts("api.cloudflare.com")
.methods("GET")
.order("method")
.build());
}
}
variables:
exampleApiShieldOperations:
fn::invoke:
function: cloudflare:getApiShieldOperations
arguments:
zoneId: 023e105f4ecef8ad9ca31a8372d0c353
direction: desc
endpoint: /api/v1
features:
- thresholds
hosts:
- api.cloudflare.com
methods:
- GET
order: method
Using getApiShieldOperations
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApiShieldOperations(args: GetApiShieldOperationsArgs, opts?: InvokeOptions): Promise<GetApiShieldOperationsResult>
function getApiShieldOperationsOutput(args: GetApiShieldOperationsOutputArgs, opts?: InvokeOptions): Output<GetApiShieldOperationsResult>def get_api_shield_operations(direction: Optional[str] = None,
endpoint: Optional[str] = None,
features: Optional[Sequence[str]] = None,
hosts: Optional[Sequence[str]] = None,
max_items: Optional[int] = None,
methods: Optional[Sequence[str]] = None,
order: Optional[str] = None,
zone_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApiShieldOperationsResult
def get_api_shield_operations_output(direction: Optional[pulumi.Input[str]] = None,
endpoint: Optional[pulumi.Input[str]] = None,
features: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
hosts: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
max_items: Optional[pulumi.Input[int]] = None,
methods: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
order: Optional[pulumi.Input[str]] = None,
zone_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApiShieldOperationsResult]func LookupApiShieldOperations(ctx *Context, args *LookupApiShieldOperationsArgs, opts ...InvokeOption) (*LookupApiShieldOperationsResult, error)
func LookupApiShieldOperationsOutput(ctx *Context, args *LookupApiShieldOperationsOutputArgs, opts ...InvokeOption) LookupApiShieldOperationsResultOutput> Note: This function is named LookupApiShieldOperations in the Go SDK.
public static class GetApiShieldOperations
{
public static Task<GetApiShieldOperationsResult> InvokeAsync(GetApiShieldOperationsArgs args, InvokeOptions? opts = null)
public static Output<GetApiShieldOperationsResult> Invoke(GetApiShieldOperationsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApiShieldOperationsResult> getApiShieldOperations(GetApiShieldOperationsArgs args, InvokeOptions options)
public static Output<GetApiShieldOperationsResult> getApiShieldOperations(GetApiShieldOperationsArgs args, InvokeOptions options)
fn::invoke:
function: cloudflare:index/getApiShieldOperations:getApiShieldOperations
arguments:
# arguments dictionaryThe following arguments are supported:
- Zone
Id string - Identifier.
- Direction string
- Direction to order results. Available values: "asc", "desc".
- Endpoint string
- Filter results to only include endpoints containing this pattern.
- Features List<string>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- Hosts List<string>
- Filter results to only include the specified hosts.
- Max
Items int - Max items to fetch, default: 1000
- Methods List<string>
- Filter results to only include the specified HTTP methods.
- Order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- Zone
Id string - Identifier.
- Direction string
- Direction to order results. Available values: "asc", "desc".
- Endpoint string
- Filter results to only include endpoints containing this pattern.
- Features []string
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- Hosts []string
- Filter results to only include the specified hosts.
- Max
Items int - Max items to fetch, default: 1000
- Methods []string
- Filter results to only include the specified HTTP methods.
- Order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- zone
Id String - Identifier.
- direction String
- Direction to order results. Available values: "asc", "desc".
- endpoint String
- Filter results to only include endpoints containing this pattern.
- features List<String>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts List<String>
- Filter results to only include the specified hosts.
- max
Items Integer - Max items to fetch, default: 1000
- methods List<String>
- Filter results to only include the specified HTTP methods.
- order String
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- zone
Id string - Identifier.
- direction string
- Direction to order results. Available values: "asc", "desc".
- endpoint string
- Filter results to only include endpoints containing this pattern.
- features string[]
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts string[]
- Filter results to only include the specified hosts.
- max
Items number - Max items to fetch, default: 1000
- methods string[]
- Filter results to only include the specified HTTP methods.
- order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- zone_
id str - Identifier.
- direction str
- Direction to order results. Available values: "asc", "desc".
- endpoint str
- Filter results to only include endpoints containing this pattern.
- features Sequence[str]
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts Sequence[str]
- Filter results to only include the specified hosts.
- max_
items int - Max items to fetch, default: 1000
- methods Sequence[str]
- Filter results to only include the specified HTTP methods.
- order str
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- zone
Id String - Identifier.
- direction String
- Direction to order results. Available values: "asc", "desc".
- endpoint String
- Filter results to only include endpoints containing this pattern.
- features List<String>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts List<String>
- Filter results to only include the specified hosts.
- max
Items Number - Max items to fetch, default: 1000
- methods List<String>
- Filter results to only include the specified HTTP methods.
- order String
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
getApiShieldOperations Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
List<Get
Api Shield Operations Result> - The items returned by the data source
- Zone
Id string - Identifier.
- Direction string
- Direction to order results. Available values: "asc", "desc".
- Endpoint string
- Filter results to only include endpoints containing this pattern.
- Features List<string>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- Hosts List<string>
- Filter results to only include the specified hosts.
- Max
Items int - Max items to fetch, default: 1000
- Methods List<string>
- Filter results to only include the specified HTTP methods.
- Order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- Id string
- The provider-assigned unique ID for this managed resource.
- Results
[]Get
Api Shield Operations Result - The items returned by the data source
- Zone
Id string - Identifier.
- Direction string
- Direction to order results. Available values: "asc", "desc".
- Endpoint string
- Filter results to only include endpoints containing this pattern.
- Features []string
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- Hosts []string
- Filter results to only include the specified hosts.
- Max
Items int - Max items to fetch, default: 1000
- Methods []string
- Filter results to only include the specified HTTP methods.
- Order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- id String
- The provider-assigned unique ID for this managed resource.
- results
List<Get
Api Shield Operations Result> - The items returned by the data source
- zone
Id String - Identifier.
- direction String
- Direction to order results. Available values: "asc", "desc".
- endpoint String
- Filter results to only include endpoints containing this pattern.
- features List<String>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts List<String>
- Filter results to only include the specified hosts.
- max
Items Integer - Max items to fetch, default: 1000
- methods List<String>
- Filter results to only include the specified HTTP methods.
- order String
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- id string
- The provider-assigned unique ID for this managed resource.
- results
Get
Api Shield Operations Result[] - The items returned by the data source
- zone
Id string - Identifier.
- direction string
- Direction to order results. Available values: "asc", "desc".
- endpoint string
- Filter results to only include endpoints containing this pattern.
- features string[]
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts string[]
- Filter results to only include the specified hosts.
- max
Items number - Max items to fetch, default: 1000
- methods string[]
- Filter results to only include the specified HTTP methods.
- order string
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- id str
- The provider-assigned unique ID for this managed resource.
- results
Sequence[Get
Api Shield Operations Result] - The items returned by the data source
- zone_
id str - Identifier.
- direction str
- Direction to order results. Available values: "asc", "desc".
- endpoint str
- Filter results to only include endpoints containing this pattern.
- features Sequence[str]
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts Sequence[str]
- Filter results to only include the specified hosts.
- max_
items int - Max items to fetch, default: 1000
- methods Sequence[str]
- Filter results to only include the specified HTTP methods.
- order str
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
- id String
- The provider-assigned unique ID for this managed resource.
- results List<Property Map>
- The items returned by the data source
- zone
Id String - Identifier.
- direction String
- Direction to order results. Available values: "asc", "desc".
- endpoint String
- Filter results to only include endpoints containing this pattern.
- features List<String>
- Add feature(s) to the results. The feature name that is given here corresponds to the resulting feature object. Have a look at the top-level object description for more details on the specific meaning.
- hosts List<String>
- Filter results to only include the specified hosts.
- max
Items Number - Max items to fetch, default: 1000
- methods List<String>
- Filter results to only include the specified HTTP methods.
- order String
- Field to order by. When requesting a feature, the feature keys are available for ordering as well, e.g.,
thresholds.suggested_threshold. Available values: "method", "host", "endpoint", "thresholds.$key".
Supporting Types
GetApiShieldOperationsResult
- Endpoint string
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- Features
Get
Api Shield Operations Result Features - Host string
- RFC3986-compliant host.
- Id string
- UUID.
- Last
Updated string - Method string
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- Operation
Id string - UUID.
- Endpoint string
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- Features
Get
Api Shield Operations Result Features - Host string
- RFC3986-compliant host.
- Id string
- UUID.
- Last
Updated string - Method string
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- Operation
Id string - UUID.
- endpoint String
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- features
Get
Api Shield Operations Result Features - host String
- RFC3986-compliant host.
- id String
- UUID.
- last
Updated String - method String
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- operation
Id String - UUID.
- endpoint string
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- features
Get
Api Shield Operations Result Features - host string
- RFC3986-compliant host.
- id string
- UUID.
- last
Updated string - method string
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- operation
Id string - UUID.
- endpoint str
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- features
Get
Api Shield Operations Result Features - host str
- RFC3986-compliant host.
- id str
- UUID.
- last_
updated str - method str
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- operation_
id str - UUID.
- endpoint String
- The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
- features Property Map
- host String
- RFC3986-compliant host.
- id String
- UUID.
- last
Updated String - method String
- The HTTP method used to access the endpoint. Available values: "GET", "POST", "HEAD", "OPTIONS", "PUT", "DELETE", "CONNECT", "PATCH", "TRACE".
- operation
Id String - UUID.
GetApiShieldOperationsResultFeatures
- Api
Routing GetApi Shield Operations Result Features Api Routing - API Routing settings on endpoint.
- Confidence
Intervals GetApi Shield Operations Result Features Confidence Intervals - Parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas - Schema
Info GetApi Shield Operations Result Features Schema Info - Thresholds
Get
Api Shield Operations Result Features Thresholds
- Api
Routing GetApi Shield Operations Result Features Api Routing - API Routing settings on endpoint.
- Confidence
Intervals GetApi Shield Operations Result Features Confidence Intervals - Parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas - Schema
Info GetApi Shield Operations Result Features Schema Info - Thresholds
Get
Api Shield Operations Result Features Thresholds
- api
Routing GetApi Shield Operations Result Features Api Routing - API Routing settings on endpoint.
- confidence
Intervals GetApi Shield Operations Result Features Confidence Intervals - parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas - schema
Info GetApi Shield Operations Result Features Schema Info - thresholds
Get
Api Shield Operations Result Features Thresholds
- api
Routing GetApi Shield Operations Result Features Api Routing - API Routing settings on endpoint.
- confidence
Intervals GetApi Shield Operations Result Features Confidence Intervals - parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas - schema
Info GetApi Shield Operations Result Features Schema Info - thresholds
Get
Api Shield Operations Result Features Thresholds
- api_
routing GetApi Shield Operations Result Features Api Routing - API Routing settings on endpoint.
- confidence_
intervals GetApi Shield Operations Result Features Confidence Intervals - parameter_
schemas GetApi Shield Operations Result Features Parameter Schemas - schema_
info GetApi Shield Operations Result Features Schema Info - thresholds
Get
Api Shield Operations Result Features Thresholds
- api
Routing Property Map - API Routing settings on endpoint.
- confidence
Intervals Property Map - parameter
Schemas Property Map - schema
Info Property Map - thresholds Property Map
GetApiShieldOperationsResultFeaturesApiRouting
- Last
Updated string - Route string
- Target route.
- Last
Updated string - Route string
- Target route.
- last
Updated String - route String
- Target route.
- last
Updated string - route string
- Target route.
- last_
updated str - route str
- Target route.
- last
Updated String - route String
- Target route.
GetApiShieldOperationsResultFeaturesConfidenceIntervals
GetApiShieldOperationsResultFeaturesConfidenceIntervalsSuggestedThreshold
- Confidence
Intervals GetApi Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals - Mean float64
- Suggested threshold.
- confidence
Intervals Property Map - mean Number
- Suggested threshold.
GetApiShieldOperationsResultFeaturesConfidenceIntervalsSuggestedThresholdConfidenceIntervals
- P90
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P90 - Upper and lower bound for percentile estimate
- P95
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P95 - Upper and lower bound for percentile estimate
- P99
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P99 - Upper and lower bound for percentile estimate
- P90
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P90 - Upper and lower bound for percentile estimate
- P95
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P95 - Upper and lower bound for percentile estimate
- P99
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P99 - Upper and lower bound for percentile estimate
- p90
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P90 - Upper and lower bound for percentile estimate
- p95
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P95 - Upper and lower bound for percentile estimate
- p99
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P99 - Upper and lower bound for percentile estimate
- p90
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P90 - Upper and lower bound for percentile estimate
- p95
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P95 - Upper and lower bound for percentile estimate
- p99
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P99 - Upper and lower bound for percentile estimate
- p90
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P90 - Upper and lower bound for percentile estimate
- p95
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P95 - Upper and lower bound for percentile estimate
- p99
Get
Api Shield Operations Result Features Confidence Intervals Suggested Threshold Confidence Intervals P99 - Upper and lower bound for percentile estimate
- p90 Property Map
- Upper and lower bound for percentile estimate
- p95 Property Map
- Upper and lower bound for percentile estimate
- p99 Property Map
- Upper and lower bound for percentile estimate
GetApiShieldOperationsResultFeaturesConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP90
GetApiShieldOperationsResultFeaturesConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP95
GetApiShieldOperationsResultFeaturesConfidenceIntervalsSuggestedThresholdConfidenceIntervalsP99
GetApiShieldOperationsResultFeaturesParameterSchemas
- Last
Updated string - Parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas Parameter Schemas - An operation schema object containing a response.
- Last
Updated string - Parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas Parameter Schemas - An operation schema object containing a response.
- last
Updated String - parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas Parameter Schemas - An operation schema object containing a response.
- last
Updated string - parameter
Schemas GetApi Shield Operations Result Features Parameter Schemas Parameter Schemas - An operation schema object containing a response.
- last_
updated str - parameter_
schemas GetApi Shield Operations Result Features Parameter Schemas Parameter Schemas - An operation schema object containing a response.
- last
Updated String - parameter
Schemas Property Map - An operation schema object containing a response.
GetApiShieldOperationsResultFeaturesParameterSchemasParameterSchemas
- Parameters List<string>
- An array containing the learned parameter schemas.
- Responses string
- An empty response object. This field is required to yield a valid operation schema.
- Parameters []string
- An array containing the learned parameter schemas.
- Responses string
- An empty response object. This field is required to yield a valid operation schema.
- parameters List<String>
- An array containing the learned parameter schemas.
- responses String
- An empty response object. This field is required to yield a valid operation schema.
- parameters string[]
- An array containing the learned parameter schemas.
- responses string
- An empty response object. This field is required to yield a valid operation schema.
- parameters Sequence[str]
- An array containing the learned parameter schemas.
- responses str
- An empty response object. This field is required to yield a valid operation schema.
- parameters List<String>
- An array containing the learned parameter schemas.
- responses String
- An empty response object. This field is required to yield a valid operation schema.
GetApiShieldOperationsResultFeaturesSchemaInfo
- Active
Schema GetApi Shield Operations Result Features Schema Info Active Schema - Schema active on endpoint.
- Learned
Available bool - True if a Cloudflare-provided learned schema is available for this endpoint.
- Mitigation
Action string - Action taken on requests failing validation. Available values: "none", "log", "block".
- Active
Schema GetApi Shield Operations Result Features Schema Info Active Schema - Schema active on endpoint.
- Learned
Available bool - True if a Cloudflare-provided learned schema is available for this endpoint.
- Mitigation
Action string - Action taken on requests failing validation. Available values: "none", "log", "block".
- active
Schema GetApi Shield Operations Result Features Schema Info Active Schema - Schema active on endpoint.
- learned
Available Boolean - True if a Cloudflare-provided learned schema is available for this endpoint.
- mitigation
Action String - Action taken on requests failing validation. Available values: "none", "log", "block".
- active
Schema GetApi Shield Operations Result Features Schema Info Active Schema - Schema active on endpoint.
- learned
Available boolean - True if a Cloudflare-provided learned schema is available for this endpoint.
- mitigation
Action string - Action taken on requests failing validation. Available values: "none", "log", "block".
- active_
schema GetApi Shield Operations Result Features Schema Info Active Schema - Schema active on endpoint.
- learned_
available bool - True if a Cloudflare-provided learned schema is available for this endpoint.
- mitigation_
action str - Action taken on requests failing validation. Available values: "none", "log", "block".
- active
Schema Property Map - Schema active on endpoint.
- learned
Available Boolean - True if a Cloudflare-provided learned schema is available for this endpoint.
- mitigation
Action String - Action taken on requests failing validation. Available values: "none", "log", "block".
GetApiShieldOperationsResultFeaturesSchemaInfoActiveSchema
- created_
at str - id str
- UUID.
- is_
learned bool - True if schema is Cloudflare-provided.
- name str
- Schema file name.
GetApiShieldOperationsResultFeaturesThresholds
- Auth
Id intTokens - The total number of auth-ids seen across this calculation.
- Data
Points int - The number of data points used for the threshold suggestion calculation.
- Last
Updated string - P50 int
- The p50 quantile of requests (in period_seconds).
- P90 int
- The p90 quantile of requests (in period_seconds).
- P99 int
- The p99 quantile of requests (in period_seconds).
- Period
Seconds int - The period over which this threshold is suggested.
- Requests int
- The estimated number of requests covered by these calculations.
- Suggested
Threshold int - The suggested threshold in requests done by the same authid or periodseconds.
- Auth
Id intTokens - The total number of auth-ids seen across this calculation.
- Data
Points int - The number of data points used for the threshold suggestion calculation.
- Last
Updated string - P50 int
- The p50 quantile of requests (in period_seconds).
- P90 int
- The p90 quantile of requests (in period_seconds).
- P99 int
- The p99 quantile of requests (in period_seconds).
- Period
Seconds int - The period over which this threshold is suggested.
- Requests int
- The estimated number of requests covered by these calculations.
- Suggested
Threshold int - The suggested threshold in requests done by the same authid or periodseconds.
- auth
Id IntegerTokens - The total number of auth-ids seen across this calculation.
- data
Points Integer - The number of data points used for the threshold suggestion calculation.
- last
Updated String - p50 Integer
- The p50 quantile of requests (in period_seconds).
- p90 Integer
- The p90 quantile of requests (in period_seconds).
- p99 Integer
- The p99 quantile of requests (in period_seconds).
- period
Seconds Integer - The period over which this threshold is suggested.
- requests Integer
- The estimated number of requests covered by these calculations.
- suggested
Threshold Integer - The suggested threshold in requests done by the same authid or periodseconds.
- auth
Id numberTokens - The total number of auth-ids seen across this calculation.
- data
Points number - The number of data points used for the threshold suggestion calculation.
- last
Updated string - p50 number
- The p50 quantile of requests (in period_seconds).
- p90 number
- The p90 quantile of requests (in period_seconds).
- p99 number
- The p99 quantile of requests (in period_seconds).
- period
Seconds number - The period over which this threshold is suggested.
- requests number
- The estimated number of requests covered by these calculations.
- suggested
Threshold number - The suggested threshold in requests done by the same authid or periodseconds.
- auth_
id_ inttokens - The total number of auth-ids seen across this calculation.
- data_
points int - The number of data points used for the threshold suggestion calculation.
- last_
updated str - p50 int
- The p50 quantile of requests (in period_seconds).
- p90 int
- The p90 quantile of requests (in period_seconds).
- p99 int
- The p99 quantile of requests (in period_seconds).
- period_
seconds int - The period over which this threshold is suggested.
- requests int
- The estimated number of requests covered by these calculations.
- suggested_
threshold int - The suggested threshold in requests done by the same authid or periodseconds.
- auth
Id NumberTokens - The total number of auth-ids seen across this calculation.
- data
Points Number - The number of data points used for the threshold suggestion calculation.
- last
Updated String - p50 Number
- The p50 quantile of requests (in period_seconds).
- p90 Number
- The p90 quantile of requests (in period_seconds).
- p99 Number
- The p99 quantile of requests (in period_seconds).
- period
Seconds Number - The period over which this threshold is suggested.
- requests Number
- The estimated number of requests covered by these calculations.
- suggested
Threshold Number - The suggested threshold in requests done by the same authid or periodseconds.
Package Details
- Repository
- Cloudflare pulumi/pulumi-cloudflare
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
cloudflareTerraform Provider.
Viewing docs for Cloudflare v6.13.0
published on Wednesday, Jan 21, 2026 by Pulumi
published on Wednesday, Jan 21, 2026 by Pulumi
